### Method

# Gtk Windowset_decorated

#### Declaration [src]

    void
    gtk_window_set_decorated (
      GtkWindow* window,
      gboolean setting
    )

#### Description [src]

Sets whether the window should be decorated.

By default, windows are decorated with a title bar, resize controls, etc. Some window managers allow GTK to disable these decorations, creating a borderless window. If you set the decorated property to `FALSE` using this function, GTK will do its best to convince the window manager not to decorate the window. Depending on the system, this function may not have any effect when called on a window that is already visible, so you should call it before calling `gtk_widget_show()`.

On Windows, this function always works, since there’s no window manager policy involved.

Sets property | `Gtk.Window:decorated`

#### Parameters

`setting`

  Type: `gboolean`

  `TRUE` to decorate the window.